local keymap = vim.keymap.set
local opts = { silent = true }

vim.g.mapleader = ","

-- Modes
--   Normal = "n",
--   Insert = "i",
--   Visual = "v",
--   Visual Block = "x",
--   Term = "t",
--   Command = "c"

keymap("n", "<Left>", "<Nop>", opts)
keymap("n", "<Right>", "<Nop>", opts)
keymap("n", "<Up>", "<Nop>", opts)
keymap("n", "<Down>", "<Nop>", opts)

keymap("n", "<C-h>", "<C-w>h", { noremap = true })
keymap("n", "<C-j>", "<C-w>j", { noremap = true })
keymap("n", "<C-k>", "<C-w>k", { noremap = true })
keymap("n", "<C-l>", "<C-w>l", { noremap = true })

keymap("n", "gV", "`[v`]", opts)

keymap("n", ";", ":", { noremap = true })

-- Bubble single lines with vim-unimpaired
keymap("n", "<C-Up>", "[e", opts)
keymap("n", "<C-Down>", "]e", opts)

-- Bubble multiple lines with vim-unimpaired
keymap("v", "<C-Up>", "[egv", opts)
keymap("v", "<C-Down>", "]egv", opts)

